Put Relation Definition Entity
Updates the existing RelationDefinitionEntity
NsApiSlow threshold: 5000 ms.
Authorizations
SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/
passing in the application id and redirect URL.
SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)
https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f
You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.
Headers
Query Parameters
Body
The RelationDefinitionEntity to be saved.
A relation definition entity with source and destination tables Carrier object for RelationDefinitionEntity. Services for the RelationDefinitionEntity Carrier is available from the List Agent.
Response
RelationDefinitionEntity updated.
A relation definition entity with source and destination tables RelationDefinitionEntity entity with API _Links added.